(function(){
    X.pageLogic['groupitem'] = {
        init : function(parms){
            var me = this;
            this.parms = parms;
            this.callback = parms.callback;
            var data = parms.extData;
            console.log(data);
            if(data.default !=''){
                for(let i in data.data){
                    if(data.data[i]['id'] == data.default){
                        data.data[i]['checked'] = true
                    }else {
                        data.data[i]['checked'] = false
                    }
                }
            }
            

            X.laytpldata("#groupitem-sele-box-dot",data.data,".groupitem-sele-box");
            
            $(document).on('change','.groupitem-sele-box',function(){
                console.log($(this).val());
                var valdata = {
                    'id':$(this).val(),
                }
                me.callback && me.callback(valdata);

                layer.close( me.parms.layIndex );//获取最新的弹窗关闭
            })
       
        }
    };
})();
